Bug 128616 - acl permissions over nfs
Summary: acl permissions over nfs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Staubach
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Reopened, Security
Depends On:
Blocks: 214996
TreeView+ depends on / blocked
 
Reported: 2004-07-27 08:42 UTC by Simon Golicnik
Modified: 2007-12-12 01:52 UTC (History)
7 users (show)

Fixed In Version: RHSA-2007-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 17:51:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (9.22 KB, patch)
2006-11-10 15:17 UTC, Peter Staubach
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0436 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 9 2007-06-08 00:03:57 UTC

Description Simon Golicnik 2004-07-27 08:42:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040614 Firefox/0.8

Description of problem:
Both client and server with latest errata kernel
on server  (acl enabled on filesystem and in /etc/exports )

cd shared dir
mkdir b
chgrp apache b
chmod 2700 b
setfacl -m u::rwx,g::---,o::--- b
setfacl -d -m u::rwx,g::---,o::--- b
cd b
touch a
ls -l
skupno 0
-rw-------    1 root     apache          0 jul 27 10:30 a

on client:
cd nfs server dir
touch b
ls -l
skupno 0
-rw-------    1 root     apache          0 jul 27  2004 a
-rw-r--r--    1 root     apache          0 jul 27  2004 b




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
simply follow example

Additional info:

Comment 1 Ernie Petrides 2005-05-24 20:25:52 UTC
Hello, Simon.  Could you please clarify what the problem is?  Also,
could you please specify the kernel version that you were using?

Thanks in advance.  -ernie

Comment 2 Simon Golicnik 2005-06-03 05:56:41 UTC
Problem is that if you create folder on server with permission in example you
expect that newly created file has the same permission regardless of where is
created (server or client). Umask was the same.
Distribution was Rhel U2


Comment 13 Steve Dickson 2005-10-25 09:29:34 UTC
I have verfied that with a RHEL3 U6 kernel (2.4.21-37.EL) this
problem still exists... 

Comment 14 Ernie Petrides 2005-10-25 21:39:04 UTC
Putting into ASSIGNED state, since it seems that SteveD has enough info.

Comment 22 RHEL Product and Program Management 2006-12-15 14:47:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 23 Jay Turner 2006-12-18 14:16:09 UTC
QE ack for RHEL3.9.

Comment 24 Ernie Petrides 2007-02-08 04:02:42 UTC
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.5.EL).


Comment 27 Red Hat Bugzilla 2007-06-11 17:51:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0436.html



Note You need to log in before you can comment on or make changes to this bug.